<template>
 <div >
     <search-bar></search-bar>
     <table class="table table-striped- table-bordered table-hover table-checkable" id="m_table_1">
       <thead class="thead-custome">
            <tr>
                <th>شماره</th>
                <th>کود جنس فرعی</th>
                <th>کود جنس</th>
                <th>نام جنس (دری)</th>
                <th>نام جنس (پشتو)</th>
                <th>نام جنس (انگلسی)</th>
                <th>عملیات</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) in main_data" :key="item.id" :id="item.id">
                <td>{{index+=1}}</td>
                <td>{{item.sub_item.sub_item_code}}</td>
                <td>{{item.end_item_code}}</td>
                <td>{{item.end_item_name_en}}</td>
                <td>{{item.end_item_name_dr}}</td>
                <td>{{item.end_item_name_pa}}</td>
                <td>
                    <router-link :to="'/end_item/edit/'+item.id">
                        <i class="fa fa-edit"></i>
                    </router-link>
                    <div class="badge delete" @click="deletData(item.id)">
                        <i class="fa fa-trash"></i>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</template>
<script>
    import SearchBar from '../table_component/SearchBare.vue';
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        mixins: [SubmitForm],
        name: 'EndItemIndex',
        components: {
            'search-bar': SearchBar
        },
        data() {
            return {
                'url': 'api/end_item'
            }
        },
        created(){
            this.getData();
        }
    }
</script>
